Author Topic: Bug report: error when trying to install nutyx via 'install-nutyx' script  (Read 1482 times)

bci_

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
Hello all,

I was installing nutyx on /dev/sda3, from /dev/sda1 using the 'install-nutyx' script, per the instructions found on

https://nutyx.org/en/downloads

However, after running 'VERSION="rolling" bash install-nutyx', I get:

Code: [Select]
Retrieve info about the 108 packages: 100 %
pkgadd 2.4.98: package nutyx already installed (use -u to upgrade)               [ FAIL ]
 FAILURE:

 You should not read this error.

 It means something went wrong with the installation of nutyx  Thanks to inform us via the website http://www.nutyx.org. Thanks again for your collaboration.

Press Enter to continue...

umount: /mnt/hd//var/lib/pkg/depot: not mounted
Cleaning up temporary files..
Please correct and start again

I suspect it's that double-frontslash?

- Brandon

Thierry

  • Administrator
  • Hero Member
  • *****
  • Posts: 510
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution
Hi

This error may occur when the destination folder have already a part of a NuTyX (nutyx is the first package installed)

The minimum correct syntax is:

Code: [Select]
VERSION="rolling" sh install-nutyx
Welcome on NuTyX

Thierry